Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.sg
Interface ServiceGroup

All Superinterfaces:
  Capability, Initialization, InitializationParameters, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

All Known Implementing Classes:
  SimpleServiceGroup

public interface ServiceGroup
extends WsResourceCapability

ServiceGroup is an internal representation of the WSDM ServiceGroup capability. It provides access to the service group properties along with methods for creating, destroying, and querying entries. Resources that use this capability will have the ability to act as directories for other resources while still performing other functions.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName[]` | `PROPERTIES`

Method Summary
`WsResource` | `addEntry(EndpointReference memberEPR, org.w3c.dom.Element content, java.util.Date termination)` Creates a new Entry resource and adds it to Muse's ResourceManager and the ServiceGroup's WS-RP container.
`WsResource` | `addEntry(EndpointReference memberEPR, WsResource entry)` Adds the EPR/resource mapping to the implementation's collection of service group entries.
`QName[]` | `getContentElements()`
`WsResource[]` | `getEntry()`
`WsResource` | `getEntry(EndpointReference memberEPR)`
`MembershipContentRule[]` | `getMembershipContentRule()`
`boolean` | `isMatch(EndpointReference epr)`
`void` | `removeEntry(WsResource entry)`
`void` | `setMembershipContentRule(MembershipContentRule[] mcr)`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Field Detail

### PROPERTIES

    public static final QName[] PROPERTIES

Method Detail

### addEntry

    public WsResource addEntry(EndpointReference memberEPR,
                               org.w3c.dom.Element content,
                               java.util.Date termination)
                        throws AddRefusedFault,
                               ContentCreationFailedFault,
                               UnsupportedMemberInterfaceFault,
                               BaseFault

  Creates a new Entry resource and adds it to Muse's ResourceManager and the ServiceGroup's WS-RP container.

  Parameters:
    `memberEPR` - The EPR of the resource that the Entry will represent.
    `termination` - The initial termination time for the Entry. This may be null if the Entry is not scheduled for destruction.
  Returns:
    The newly-created (and stored) Entry resource.
  Throws:
    `AddRefusedFault`
    `ContentCreationFailedFault`
    `UnsupportedMemberInterfaceFault`
    `BaseFault`

### addEntry

    public WsResource addEntry(EndpointReference memberEPR,
                               WsResource entry)
                        throws AddRefusedFault,
                               ContentCreationFailedFault,
                               UnsupportedMemberInterfaceFault,
                               BaseFault

  Adds the EPR/resource mapping to the implementation's collection of service group entries.

  Parameters:
    `memberEPR` - The EPR of the service group entry.
    `entry` - The resource that represents the service group entry.
  Returns:
    The same resource provided as a second parameter.
  Throws:
    `AddRefusedFault`
    `ContentCreationFailedFault`
    `UnsupportedMemberInterfaceFault`
    `BaseFault`

### getContentElements

    public QName[] getContentElements()
                               throws BaseFault

  Returns:
    All of the content elements in the group's membership content rules.
  Throws:
    `BaseFault`

### getEntry

    public WsResource[] getEntry()
                          throws BaseFault

  Throws:
    `BaseFault`

### getEntry

    public WsResource getEntry(EndpointReference memberEPR)
                        throws BaseFault

  Parameters:
    `memberEPR` -
  Returns:
    The entry resource associated with the given EPR, or null if no such resource exists.
  Throws:
    `BaseFault`

### getMembershipContentRule

    public MembershipContentRule[] getMembershipContentRule()
                                                     throws BaseFault

  Throws:
    `BaseFault`

### isMatch

    public boolean isMatch(EndpointReference epr)
                    throws BaseFault

  Parameters:
    `epr` - The EPR for the resource against which all the service group's membership content rules should be evaluated.
  Returns:
    True if the given resource's WS-RP document matches all of the service group's membership rules and can be safely added to the service group.
  Throws:
    `BaseFault`

### removeEntry

    public void removeEntry(WsResource entry)
                     throws BaseFault

  Throws:
    `BaseFault`

### setMembershipContentRule

    public void setMembershipContentRule(MembershipContentRule[] mcr)
                                  throws BaseFault

  Throws:
    `BaseFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD